com.fasterxml.jackson.databind.util

## Class TokenBuffer.Parser

- java.lang.Object
- - com.fasterxml.jackson.core.JsonParser
  - - com.fasterxml.jackson.core.base.ParserMinimalBase
    - - com.fasterxml.jackson.databind.util.TokenBuffer.Parser

- All Implemented Interfaces:
    Versioned, Closeable, AutoCloseable
  Enclosing class:
    TokenBuffer

      protected static final class TokenBuffer.Parser
      extends ParserMinimalBase

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class com.fasterxml.jackson.core.JsonParser

      `JsonParser.Feature, JsonParser.NumberType`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected ByteArrayBuilder` | `_byteBuilder`
    `protected boolean` | `_closed`
    `protected ObjectCodec` | `_codec`
    `protected boolean` | `_hasNativeIds`
    `protected boolean` | `_hasNativeObjectIds`
    `protected boolean` | `_hasNativeTypeIds`
    `protected JsonLocation` | `_location`
    `protected TokenBufferReadContext` | `_parsingContext` Information about parser context, context in which the next token is to be parsed (root, array, object).
    `protected TokenBuffer.Segment` | `_segment` Currently active segment
    `protected int` | `_segmentPtr` Pointer to current token within current segment

    - ### Fields inherited from class com.fasterxml.jackson.core.base.ParserMinimalBase

      `_currToken, _lastClearedToken, BD_MAX_INT, BD_MAX_LONG, BD_MIN_INT, BD_MIN_LONG, BI_MAX_INT, BI_MAX_LONG, BI_MIN_INT, BI_MIN_LONG, CHAR_NULL, INT_0, INT_9, INT_APOS, INT_ASTERISK, INT_BACKSLASH, INT_COLON, INT_COMMA, INT_CR, INT_e, INT_E, INT_HASH, INT_LBRACKET, INT_LCURLY, INT_LF, INT_MINUS, INT_PERIOD, INT_PLUS, INT_QUOTE, INT_RBRACKET, INT_RCURLY, INT_SLASH, INT_SPACE, INT_TAB, MAX_ERROR_TOKEN_LENGTH, MAX_INT_D, MAX_INT_L, MAX_LONG_D, MIN_INT_D, MIN_INT_L, MIN_LONG_D, NO_BYTES, NO_INTS, NR_BIGDECIMAL, NR_BIGINT, NR_DOUBLE, NR_FLOAT, NR_INT, NR_LONG, NR_UNKNOWN`

    - ### Fields inherited from class com.fasterxml.jackson.core.JsonParser

      `_features, _requestPayload`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Parser(TokenBuffer.Segment firstSeg, ObjectCodec codec, boolean hasNativeTypeIds, boolean hasNativeObjectIds)` Deprecated.
    `Parser(TokenBuffer.Segment firstSeg, ObjectCodec codec, boolean hasNativeTypeIds, boolean hasNativeObjectIds, JsonStreamContext parentContext)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `_checkIsNumber()`
    `protected int` | `_convertNumberToInt(Number n)`
    `protected long` | `_convertNumberToLong(Number n)`
    `protected Object` | `_currentObject()`
    `protected void` | `_handleEOF()`
    `boolean` | `canReadObjectId()`
    `boolean` | `canReadTypeId()`
    `void` | `close()`
    `BigInteger` | `getBigIntegerValue()`
    `byte[]` | `getBinaryValue(Base64Variant b64variant)`
    `ObjectCodec` | `getCodec()`
    `JsonLocation` | `getCurrentLocation()`
    `String` | `getCurrentName()`
    `BigDecimal` | `getDecimalValue()`
    `double` | `getDoubleValue()`
    `Object` | `getEmbeddedObject()`
    `float` | `getFloatValue()`
    `int` | `getIntValue()`
    `long` | `getLongValue()`
    `JsonParser.NumberType` | `getNumberType()`
    `Number` | `getNumberValue()`
    `Object` | `getObjectId()`
    `JsonStreamContext` | `getParsingContext()`
    `String` | `getText()`
    `char[]` | `getTextCharacters()`
    `int` | `getTextLength()`
    `int` | `getTextOffset()`
    `JsonLocation` | `getTokenLocation()`
    `Object` | `getTypeId()`
    `boolean` | `hasTextCharacters()`
    `boolean` | `isClosed()`
    `boolean` | `isNaN()`
    `String` | `nextFieldName()`
    `JsonToken` | `nextToken()`
    `void` | `overrideCurrentName(String name)`
    `JsonToken` | `peekNextToken()`
    `int` | `readBinaryValue(Base64Variant b64variant, OutputStream out)`
    `void` | `setCodec(ObjectCodec c)`
    `void` | `setLocation(JsonLocation l)`
    `Version` | `version()`

    - ### Methods inherited from class com.fasterxml.jackson.core.base.ParserMinimalBase

      `_ascii, _asciiBytes, _constructError, _decodeBase64, _getCharDesc, _handleUnrecognizedCharacterEscape, _hasTextualNull, _reportError, _reportError, _reportError, _reportInvalidEOF, _reportInvalidEOF, _reportInvalidEOF, _reportInvalidEOFInValue, _reportInvalidEOFInValue, _reportMissingRootWS, _reportUnexpectedChar, _throwInternal, _throwInvalidSpace, _throwUnquotedSpace, _wrapError, clearCurrentToken, currentToken, currentTokenId, getCurrentToken, getCurrentTokenId, getLastClearedToken, getValueAsBoolean, getValueAsDouble, getValueAsInt, getValueAsInt, getValueAsLong, getValueAsLong, getValueAsString, getValueAsString, hasCurrentToken, hasToken, hasTokenId, isExpectedStartArrayToken, isExpectedStartObjectToken, nextValue, reportInvalidNumber, reportOverflowInt, reportOverflowLong, reportUnexpectedNumberChar, skipChildren`

    - ### Methods inherited from class com.fasterxml.jackson.core.JsonParser

      `_codec, _constructError, _reportUnsupportedOperation, canParseAsync, canUseSchema, configure, currentName, disable, enable, finishToken, getBinaryValue, getBooleanValue, getByteValue, getCurrentValue, getFeatureMask, getFormatFeatures, getInputSource, getNonBlockingInputFeeder, getSchema, getShortValue, getText, getValueAsBoolean, getValueAsDouble, isEnabled, nextBooleanValue, nextFieldName, nextIntValue, nextLongValue, nextTextValue, overrideFormatFeatures, overrideStdFeatures, readBinaryValue, readValueAs, readValueAs, readValueAsTree, readValuesAs, readValuesAs, releaseBuffered, releaseBuffered, requiresCustomCodec, setCurrentValue, setFeatureMask, setRequestPayloadOnError, setRequestPayloadOnError, setRequestPayloadOnError, setSchema`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### _codec

          protected ObjectCodec _codec

    - #### _hasNativeTypeIds

          protected final boolean _hasNativeTypeIds

      Since:
        2.3

    - #### _hasNativeObjectIds

          protected final boolean _hasNativeObjectIds

      Since:
        2.3

    - #### _hasNativeIds

          protected final boolean _hasNativeIds

    - #### _segment

          protected TokenBuffer.Segment _segment

      Currently active segment

    - #### _segmentPtr

          protected int _segmentPtr

      Pointer to current token within current segment

    - #### _parsingContext

          protected TokenBufferReadContext _parsingContext

      Information about parser context, context in which the next token is to be parsed (root, array, object).

    - #### _closed

          protected boolean _closed

    - #### _byteBuilder

          protected transient ByteArrayBuilder _byteBuilder

    - #### _location

          protected JsonLocation _location

  - ### Constructor Detail

    - #### Parser

          @Deprecated
          public Parser(TokenBuffer.Segment firstSeg,
                                    ObjectCodec codec,
                                    boolean hasNativeTypeIds,
                                    boolean hasNativeObjectIds)

      Deprecated.

    - #### Parser

          public Parser(TokenBuffer.Segment firstSeg,
                        ObjectCodec codec,
                        boolean hasNativeTypeIds,
                        boolean hasNativeObjectIds,
                        JsonStreamContext parentContext)

  - ### Method Detail

    - #### setLocation

          public void setLocation(JsonLocation l)

    - #### getCodec

          public ObjectCodec getCodec()

      Specified by:
        `getCodec` in class `JsonParser`

    - #### setCodec

          public void setCodec(ObjectCodec c)

      Specified by:
        `setCodec` in class `JsonParser`

    - #### version

          public Version version()

      Specified by:
        `version` in interface `Versioned`
      Specified by:
        `version` in class `JsonParser`

    - #### peekNextToken

          public JsonToken peekNextToken()
                                  throws IOException

      Throws:
        `IOException`

    - #### close

          public void close()
                     throws IOException

      Specified by:
        `close` in interface `Closeable`
      Specified by:
        `close` in interface `AutoCloseable`
      Specified by:
        `close` in class `ParserMinimalBase`
      Throws:
        `IOException`

    - #### nextToken

          public JsonToken nextToken()
                              throws IOException

      Specified by:
        `nextToken` in class `ParserMinimalBase`
      Throws:
        `IOException`

    - #### nextFieldName

          public String nextFieldName()
                               throws IOException

      Overrides:
        `nextFieldName` in class `JsonParser`
      Throws:
        `IOException`

    - #### isClosed

          public boolean isClosed()

      Specified by:
        `isClosed` in class `ParserMinimalBase`

    - #### getParsingContext

          public JsonStreamContext getParsingContext()

      Specified by:
        `getParsingContext` in class `ParserMinimalBase`

    - #### getTokenLocation

          public JsonLocation getTokenLocation()

      Specified by:
        `getTokenLocation` in class `JsonParser`

    - #### getCurrentLocation

          public JsonLocation getCurrentLocation()

      Specified by:
        `getCurrentLocation` in class `JsonParser`

    - #### getCurrentName

          public String getCurrentName()

      Specified by:
        `getCurrentName` in class `ParserMinimalBase`

    - #### overrideCurrentName

          public void overrideCurrentName(String name)

      Specified by:
        `overrideCurrentName` in class `ParserMinimalBase`

    - #### getText

          public String getText()

      Specified by:
        `getText` in class `ParserMinimalBase`

    - #### getTextCharacters

          public char[] getTextCharacters()

      Specified by:
        `getTextCharacters` in class `ParserMinimalBase`

    - #### getTextLength

          public int getTextLength()

      Specified by:
        `getTextLength` in class `ParserMinimalBase`

    - #### getTextOffset

          public int getTextOffset()

      Specified by:
        `getTextOffset` in class `ParserMinimalBase`

    - #### hasTextCharacters

          public boolean hasTextCharacters()

      Specified by:
        `hasTextCharacters` in class `ParserMinimalBase`

    - #### isNaN

          public boolean isNaN()

      Overrides:
        `isNaN` in class `JsonParser`

    - #### getBigIntegerValue

          public BigInteger getBigIntegerValue()
                                        throws IOException

      Specified by:
        `getBigIntegerValue` in class `JsonParser`
      Throws:
        `IOException`

    - #### getDecimalValue

          public BigDecimal getDecimalValue()
                                     throws IOException

      Specified by:
        `getDecimalValue` in class `JsonParser`
      Throws:
        `IOException`

    - #### getDoubleValue

          public double getDoubleValue()
                                throws IOException

      Specified by:
        `getDoubleValue` in class `JsonParser`
      Throws:
        `IOException`

    - #### getFloatValue

          public float getFloatValue()
                              throws IOException

      Specified by:
        `getFloatValue` in class `JsonParser`
      Throws:
        `IOException`

    - #### getIntValue

          public int getIntValue()
                          throws IOException

      Specified by:
        `getIntValue` in class `JsonParser`
      Throws:
        `IOException`

    - #### getLongValue

          public long getLongValue()
                            throws IOException

      Specified by:
        `getLongValue` in class `JsonParser`
      Throws:
        `IOException`

    - #### getNumberType

          public JsonParser.NumberType getNumberType()
                                              throws IOException

      Specified by:
        `getNumberType` in class `JsonParser`
      Throws:
        `IOException`

    - #### getNumberValue

          public final Number getNumberValue()
                                      throws IOException

      Specified by:
        `getNumberValue` in class `JsonParser`
      Throws:
        `IOException`

    - #### _convertNumberToInt

          protected int _convertNumberToInt(Number n)
                                     throws IOException

      Throws:
        `IOException`

    - #### _convertNumberToLong

          protected long _convertNumberToLong(Number n)
                                       throws IOException

      Throws:
        `IOException`

    - #### getEmbeddedObject

          public Object getEmbeddedObject()

      Overrides:
        `getEmbeddedObject` in class `JsonParser`

    - #### getBinaryValue

          public byte[] getBinaryValue(Base64Variant b64variant)
                                throws IOException,
                                       JsonParseException

      Specified by:
        `getBinaryValue` in class `ParserMinimalBase`
      Throws:
        `IOException`
        `JsonParseException`

    - #### readBinaryValue

          public int readBinaryValue(Base64Variant b64variant,
                                     OutputStream out)
                              throws IOException

      Overrides:
        `readBinaryValue` in class `JsonParser`
      Throws:
        `IOException`

    - #### canReadObjectId

          public boolean canReadObjectId()

      Overrides:
        `canReadObjectId` in class `JsonParser`

    - #### canReadTypeId

          public boolean canReadTypeId()

      Overrides:
        `canReadTypeId` in class `JsonParser`

    - #### getTypeId

          public Object getTypeId()

      Overrides:
        `getTypeId` in class `JsonParser`

    - #### getObjectId

          public Object getObjectId()

      Overrides:
        `getObjectId` in class `JsonParser`

    - #### _currentObject

          protected final Object _currentObject()

    - #### _checkIsNumber

          protected final void _checkIsNumber()
                                       throws JsonParseException

      Throws:
        `JsonParseException`

    - #### _handleEOF

          protected void _handleEOF()
                             throws JsonParseException

      Specified by:
        `_handleEOF` in class `ParserMinimalBase`
      Throws:
        `JsonParseException`

Copyright © 2008–2018 FasterXML. All rights reserved.